# Uses of Enum Class
com.sun.management.VMOption.Origin

Packages that use VMOption.Origin
Package
Description
com.sun.management
This package contains JDK extensions to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.

## Uses of VMOption.Origin in com.sun.management

Subclasses with type arguments of type VMOption.Origin in com.sun.management
Modifier and Type
Class
Description
`static enum`
`VMOption.Origin`
Origin of the value of a VM option.
Methods in com.sun.management that return VMOption.Origin
Modifier and Type
Method
Description
`VMOption.Origin`
VMOption.`getOrigin()`
Returns the origin of the value of this VM option.
`static VMOption.Origin`
VMOption.Origin.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VMOption.Origin[]`
VMOption.Origin.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.sun.management with parameters of type VMOption.Origin
Modifier
Constructor
Description
``
`VMOption(String name, String value, boolean writeable, VMOption.Origin origin)`
Constructs a `VMOption`.